#ifndef __NLLIBC_STDLIB_H_INCLUDED__
#define __NLLIBC_STDLIB_H_INCLUDED__

#include <sys/types.h>

#define NULL ((void *)0)

void *malloc(size_t size);
void *calloc(size_t number, size_t size);
void *realloc(void *ptr, size_t size);
void free(void *ptr);
void exit(int status);
void abort(void);
int atexit(void (*function)(void));

int atoi(const char *nptr);
long strtol(const char *nptr, char **endptr, int base);
unsigned long strtoul(const char *nptr, char **endptr, int base);

#endif
